开源中文网

您的位置: 首页 > Linux应用 > Postfix > 正文

postfix on centos5u2遇到的问题

来源:  作者:

参考文档:
主要根据
[http://bbs.chinaunix.net/viewthread.php?tid=982988&pid=9431701&page=1&extra=#pid9431701]网站, 由于cyrus-sasl与courier-auth需要重装,也参考到http://www.netec.com/forum/redirect.php?tid=155&goto=lastpost的几项源包安装编译.

注意事项:
1/在安装postfix时,cyrus-sasl-lib可以不用,但不能不装,否则安装postfix时遇到"bin/postconf: error while loading shared libraries: libsasl2.so.2" 之类的错误。
2/pam-devel需要安装,否则会提示"auth(default): Unknown passdb driver 'pam' (typo, or Dovecot was built without support for it? Check with dovecot child "这类错误

几个安装包的参数
1、cyrus-sasl
[root@hostname path]# ./configure --enable-plain --enable-cram --enable-digest --enable-login --enable-sql --disable-anon --disable-ntlm --disable-gssapi --disable-krb4 --disable-otp --disable-srp --disable-srp-setpass --with-mysql=/usr/local/mysql \
--with-authdaemond=/usr/local/courier-authlib/var/spool/authdaemon/socke
[root@hostname path]# make&&make install
2、postfix
[root@hostname postfix-2.5.5]# make -f Makefile.init makefiles 'CCARGS=-DHAS_MYSQL -I/usr/local/mysql/include -DUSE_TLS -DUSE_CYRUS_SASL -DUSE_SASL_AUTH -I/usr/local/include/sasl' 'AUXLIBS=-L/usr/local/mysql/lib -lmysqlclient -lz -lm -L/usr/lib -lssl -lcrypto -lsasl2'
[root@hostname postfix-2.5.5]#make
[root@hostname postfix-2.5.5]# make install
3、courier-auth
[root@hostname courier-auth-0.5.8]#./configure --prefix=/usr/local/courier-authlib --without-authpam --without-authldap --without-authpwd --without-authshadow --without-authvchkpw --without-authpgsql  --with-authmysql --with-mysql-libs=/usr/local/mysql/lib \
--with-mysql-includes=/usr/local/mysql/include --with-redhat \
--with-authmysqlrc=/usr/local/courier-authlib/etc/authmysqlrc \
--with-authdaemonrc=/usr/local/courier-authlib/etc/authdaemonrc [root@hostname courier-auth-0.5.8]# make&&make install

TIPS:
由于使用64bit的系统,因此有些包是i386与x86_64的都安装了,在卸载包的时候出现
error: "pkg-name" specifies multiple packages的错误,
如果想强行卸载多个安装包
rpm -e --allmatches pkg_name --nodeps

Tags:postfix
关于开源中文网 - 联系我们 - 广告服务 - 网站地图 - 版权声明